      INTEGER FUNCTION f7argc()
c
c Get the number of command-line arguments.
c
c File f7argc.F (Version 1.1).  Last modified 17:42:39, 6/7/95.
c
c.......................................................................
c
c From:  National Simulation Resource 
c        Center for Bioengineering
c        University of Washington
c        Box 357962
c        Seattle, WA 98195-7962
c
c        Dr. J. B. Bassingthwaighte, Director
c
c.......................................................................
c
c Copyright (C) 1995 by National Simulation Resource, Univ of WA.
c All Rights Reserved.
c 
c Software may be copied so long as this copyright notice is included.
c This software was developed with support from NIH grant RR-01243.
c Please cite this grant in any publication for which this software
c is used and send one reprint to the address given above.
c
c.......................................................................
c
c SYNOPSIS:
c
c     INTEGER FUNCTION f7argc()
c
c.......................................................................
c
c DESCRIPTION:
c
c f7argc returns the index of the last command-line argument, and
c therefore the number of arguments after the command name.
c 
c.......................................................................
c
c FORMAL PARAMETERS:
c
c INPUTS:  NONE
c
c OUTPUTS: NONE
c
c RETURN VALUE: The number of command-line arguments.
c
c.......................................................................
c
c LIMITATIONS/WARNINGS:
c
c Note that f7argc is an INTEGER function.
c
c f7argc is a system dependent routine that needs to be modified
c for various software platforms.
c           
c.......................................................................
c
c DIAGNOSTICS: NONE
c
c.......................................................................
c
c EXAMPLE:
c
c If a program is invoked with the command line:
c
c simnlist -n model.names -v model.par model.nlist
c
c a call in simnlist to f7argc would return a value of 5.
c
c.......................................................................
c
c SUBROUTINES/FUNCTIONS CALLED:
c
c Since this is a system dependent function, it may call different
c system library routines on various platforms.
c    - Sun version calls iargc.
c
c.......................................................................
c
c FILES:
c
c /usr/local/lib/libnsr.a       - library archive
c ~libnsr/lib/libmachdep/f7argc - source files
c
c.......................................................................
c
c AUTHOR:
c
c National Simulation Resource 
c Center for Bioengineering
c University of Washington
c Box 357962
c Seattle, WA 98195-7962
c
c.......................................................................
c
c FOR ASSISTANCE:
c
c Questions regarding this software can be sent by electronic mail to:
c   librarian@nsr.bioeng.washington.edu
c
c.......................................................................
c
c HISTORY:
c
c Written:  R. B. King (MAR95)
c
c Modified:
c Ver. N.N: Description (AUTHOR - DATE)
c
c-----------------------------------------------------------------------
c
      CHARACTER*63  sid1, sid2
c
      DATA         sid1
     + /'@(#)f7argc.F	1.1 created on 6/7/95 at 17:42:39.'/
      DATA         sid2
     + /'@(#)    Retrieved on 10/21/96 at 14:14:04.'/
c
      f7argc = iargc()
      RETURN
      END
