      CHARACTER*(*) FUNCTION f7case(c)
c
c Converts character string to uppercase
c
c From:  National Simulation Resource Facility
c        Center for Bioengineering WD-12
c        University of Washington
c        Seattle, WA 98195
c
c        Dr. J. B. Bassingthwaighte, Director
c
c
c Copyright (C) 1989, 1990 by National Simulation Resource
c Facility, Univ of WA. All Rights Reserved.
c Software may be copied so long as this copyright notice is included.
c
c This software was developed with support from NIH grant RR-01243.
c Please cite this grant in any publication for which this software
c is used and send one reprint to the address given above.
c
c
c DESCRIPTION:
c     Return case equivalent of character string "C" required by
c     compiler.  This is only used internally by f7open and f7clos.
c *** This version maps to upper case, as required by UNIX systems ***
c
c CALL AND PARAMETER TYPES:
c     CHARACTER*(N) f7case, s, c
c     s = f7case(c)
c
c INPUTS:
c     c - character string to be converted
c
c OUTPUTS:
c     s - Uppercase equivalent character string
c
c SUBROUTINES CALLED:
c     None
c
c HISTORY:
c     Written:
c         12/04/89       L. Weissman
c     Modified:
c
c ----------------------------------------------------------------
c
c
      INTEGER   i, lng, diff
      CHARACTER c*(*),t
      CHARACTER*64 sid1,sid2
c
c  Source control code strings
c
      DATA sid1/'@(#)f7case.F	1.1 created 1/22/90 16:02:33.'/
      DATA sid2/'@(#) retrieved 10/21/96 14:14:00.'/
c
      lng=MIN(LEN(c),LEN(f7case))
      diff = ICHAR('A')-ICHAR('a')
      f7case=' '
      DO 10 i=1,lng
          t=c(i:i)
          IF(t .GE. 'a' .AND. t .LE. 'z')t=CHAR(ICHAR(t)+diff)
          f7case(i:i)=t
   10 CONTINUE
      RETURN
      END
