      INTEGER FUNCTION igetc()
c
c A FORTRAN callable function that returns a free logical unit number.
c
c From:    National Simulation Resource Facility
c          Center for Bioengineering (WD-12)
c          University of Washington
c          Seattle, WA 98195
c
c          Dr. J. B. Bassingthwaighte, Director
c
c
c Copyright (C) 1988, 1989, 1990 by National Simulation Resource
c Facility, Univ of WA. All Rights Reserved.
c Software may be copied so long as this copyright notice is included.
c 
c This software was developed with support from NIH grant RR-01243.
c Please cite this grant in any publication for which this software
c is used and send one reprint to the address given above.
c
c
c DESCRIPTION:
c     This function returns the lowest logical unit number that is not
c currently in use.
c
c
c CALL AND PARAMETER TYPES:
c     ilu = igetc()
c
c INPUT PARAMETERS:
c     NONE
c
c OUTPUT PARAMETERS:
c     igetc = -1 No free logical unit was found.
c           > -1 The lowest logical unit number not currently in use.
c
c
c SUBROUTINES CALLED:
c     NONE
c
c HISTORY:
c     
c     Written:
c
c     Modified: 
c         04/17/89  L. Weissman
c             1) Shorten sccs strings  2) Use standard testutils
c             3) Move function statement to top
c         09/08/89  S. Castaldi 
c             1) Updated header 2) Capitalized key words
c
c-----------------------------------------------------------------------
c
      LOGICAL  used
      PARAMETER (MAXLU = 255)
      CHARACTER*64 sid1, sid2
C
C Source Code Control Data
C
      DATA sid1/'@(#)igetc.F	1.5 created 1/2/90 15:10:24.'/
      DATA sid2/'@(#) retrieved 10/21/96 14:14:01.'/
c
      igetc = -1
c
      DO 1 i=0,MAXLU
        INQUIRE (i, opened=used)
        IF (used .EQV. .FALSE.) THEN
          igetc = i
          RETURN
          END IF
    1   CONTINUE
c
      RETURN
      END
